package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 报警级别对象 hw_alarm_level
 * 
 * @author xins
 * @date 2023-09-15
 */
public class HwAlarmLevel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 报警级别ID */
    private Long alarmLevelId;

    /** 报警级别名称 */
    @Excel(name = "报警级别名称")
    private String alarmLevelName;

    /** 租户ID，关联hw_tenant的tenant_id */
    @Excel(name = "租户ID，关联hw_tenant的tenant_id")
    private Long tenantId;

    /** 所属场景，关联hw_scene表的scene_id字段 */
    @Excel(name = "所属场景，关联hw_scene表的scene_id字段")
    private Long sceneId;

    /** 语言code,关联表hw_language的language_code字段 */
    @Excel(name = "语言code,关联表hw_language的language_code字段")
    private String languageCode;

    /** 通用标识（1：是，0：否） */
    @Excel(name = "通用标识", readConverterExp = "1=：是，0：否")
    private String commonFlag;

    /** 严重程度（数字越大，级别越高） */
    @Excel(name = "严重程度", readConverterExp = "数=字越大，级别越高")
    private Long levelNumber;

    /** 状态（1、正常，9、删除） */
    @Excel(name = "状态", readConverterExp = "1=、正常，9、删除")
    private String levelStatus;

    /** 默认通知方式（1、邮箱，2、短信，3、钉钉，4、微信公众号，5、企业微信），多个保存用,隔开。 */
    @Excel(name = "默认通知方式", readConverterExp = "1=、邮箱，2、短信，3、钉钉，4、微信公众号，5、企业微信")
    private String defaultNotifyMode;

    /** 预留字段 */
    @Excel(name = "预留字段")
    private String alarmLevelField;

    public void setAlarmLevelId(Long alarmLevelId) 
    {
        this.alarmLevelId = alarmLevelId;
    }

    public Long getAlarmLevelId() 
    {
        return alarmLevelId;
    }
    public void setAlarmLevelName(String alarmLevelName) 
    {
        this.alarmLevelName = alarmLevelName;
    }

    public String getAlarmLevelName() 
    {
        return alarmLevelName;
    }
    public void setTenantId(Long tenantId) 
    {
        this.tenantId = tenantId;
    }

    public Long getTenantId() 
    {
        return tenantId;
    }
    public void setSceneId(Long sceneId) 
    {
        this.sceneId = sceneId;
    }

    public Long getSceneId() 
    {
        return sceneId;
    }
    public void setLanguageCode(String languageCode) 
    {
        this.languageCode = languageCode;
    }

    public String getLanguageCode() 
    {
        return languageCode;
    }
    public void setCommonFlag(String commonFlag) 
    {
        this.commonFlag = commonFlag;
    }

    public String getCommonFlag() 
    {
        return commonFlag;
    }
    public void setLevelNumber(Long levelNumber) 
    {
        this.levelNumber = levelNumber;
    }

    public Long getLevelNumber() 
    {
        return levelNumber;
    }
    public void setLevelStatus(String levelStatus) 
    {
        this.levelStatus = levelStatus;
    }

    public String getLevelStatus() 
    {
        return levelStatus;
    }
    public void setDefaultNotifyMode(String defaultNotifyMode) 
    {
        this.defaultNotifyMode = defaultNotifyMode;
    }

    public String getDefaultNotifyMode() 
    {
        return defaultNotifyMode;
    }
    public void setAlarmLevelField(String alarmLevelField) 
    {
        this.alarmLevelField = alarmLevelField;
    }

    public String getAlarmLevelField() 
    {
        return alarmLevelField;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("alarmLevelId", getAlarmLevelId())
            .append("alarmLevelName", getAlarmLevelName())
            .append("tenantId", getTenantId())
            .append("sceneId", getSceneId())
            .append("languageCode", getLanguageCode())
            .append("commonFlag", getCommonFlag())
            .append("levelNumber", getLevelNumber())
            .append("levelStatus", getLevelStatus())
            .append("defaultNotifyMode", getDefaultNotifyMode())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("alarmLevelField", getAlarmLevelField())
            .toString();
    }
}
